GET
/
conversation
/
{conversationId}

Example JS Code to Get Conversation By Id

const apiUrl = 'https://api.chatvolt.ai';
const apiKey = 'XXX';
const conversationId = 'XXX';

const res = await fetch(`${apiUrl}/conversation/${conversationId}`, {
  headers: {
    Authorization: `Bearer ${apiKey}`,
  },
});

const data = await res.json();
console.log(data);

Response Body

The response is a ConversationDetailed object. The crmScenarioConversations field (present when the conversation is linked to CRM scenarios) is an array of objects with the following structure:

  • crmScenarioConversations: array of objects:
    • available (boolean) — indicates if the conversation is available for the scenario.
    • scenario (object):
      • id (string) — Scenario ID.
      • name (string) — Scenario name.
    • step (object):
      • id (string) — Step ID.
      • name (string) — Step name.
    • createdAt (string, date-time) — link creation timestamp.
    • updatedAt (string, date-time) — last update timestamp.

Example Response

{
  "id": "conv_abc123",
  "title": "Customer X support",
  "status": "UNRESOLVED",
  "createdAt": "2026-02-20T14:12:00.000Z",
  "updatedAt": "2026-02-21T09:30:00.000Z",
  "participantsContacts": [
    {
      "firstName": "John",
      "email": "john@example.com",
      "phoneNumber": "+5511999999999"
    }
  ],
  "assignees": [
    {
      "user": {
        "id": "user_xyz",
        "name": "Agent 1",
        "email": "agent1@example.com"
      }
    }
  ],
  "crmScenarioConversations": [
    {
      "available": true,
      "scenario": {
        "id": "scenario_1",
        "name": "Onboarding - New Lead"
      },
      "step": {
        "id": "step_2",
        "name": "Initial contact"
      },
      "createdAt": "2026-02-20T14:15:00.000Z",
      "updatedAt": "2026-02-20T14:15:00.000Z"
    }
  ],
  "tags": [{ "tag": "high-priority" }]
}

Authorizations

Authorization
string
headerrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

conversationId
string
required

ID of the conversation to be retrieved.

Response

200 - application/json
id
string

The unique identifier for the conversation

title
string | null

The title of the conversation, if available

unreadMessagesCount
integer

The number of unread messages in the conversation

isAiEnabled
boolean

Indicates whether AI is enabled for the conversation

channel
string

The channel through which the conversation took place (e.g., 'dashboard', 'whatsapp')

status
enum<string>

The current status of the conversation

Available options:
RESOLVED,
UNRESOLVED,
HUMAN_REQUESTED
blocked
boolean

Indicates whether the conversation is blocked

metadata
object | null

Metadata associated with the conversation, if any

channelExternalId
string | null

External ID of the channel, if any

channelCredentialsId
string | null

ID of the credentials used for the channel

organizationId
string

The organization ID associated with the conversation

mailInboxId
string | null

The mailbox ID, if relevant

priority
enum<string>

The priority of the conversation

Available options:
LOW,
MEDIUM,
HIGH
formId
string | null

ID of the form used, if any

agentId
string | null

The ID of the agent handling the conversation

userId
string | null

The ID of the user associated with the conversation

visitorId
string | null

The ID of the visitor, if applicable

isGroup
boolean

Indicates whether the conversation is a group conversation

frustration
number | null

Frustration level of the conversation, if applicable

aiUserIdentifier
string | null

AI user identifier

whatsappChatLid
string | null

WhatsApp Chat LID

npsStep
integer

Current step of the NPS flow

npsRating
integer | null

NPS rating score

npsComment
string | null

NPS comment

npsStartedAt
string | null

Timestamp when the NPS flow was started

npsCompletedAt
string | null

Timestamp when the NPS flow was completed

createdAt
string

The date and time when the conversation was created

updatedAt
string

The date and time when the conversation was last updated

lastHumanInteractionAt
string | null

Timestamp of the last human interaction

participantsContacts
object[]

List of contacts associated with the conversation

ctwaAttributions
object[]

Contact click-to-WhatsApp attributions

conversationVariables
object[]

List of variables associated with the conversation

conversationContexts
object[]

List of contexts associated with the conversation.

assignees
object[]

List of assignees for the conversation.

tags
object[]

List of tags associated with the conversation.

crmScenarioConversations
object[]

Lista de vínculos entre a conversa e cenários CRM.